export interface TransformObject {
    [key: string]: number | string | (string | number)[] | boolean;
}
/**
 * Returns a object representation of the transform string supplied. It parses the string and
 * converts them to an object.
 * @param transformString String containing the transforms
 */
declare const parse: (transformString: string) => TransformObject;
/**
 * Returns the transform string constructed from the transform object supplied.
 * @param transformObject Object containing the transforms
 */
declare const stringify: (transformObject: TransformObject) => string;
export { parse, stringify };
